PRINTF(1)

NAMN
printf — formatera och skriv ut data

SYNOPSIS
printf FORMAT [ARGUMENT]...
printf FLAGGA

BESKRIVNING

Skriv ut ARGUMENT enligt FORMAT, eller kör enligt FLAGGA:

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

FORMAT styr utdata som i C printf. Tolkade sekvenser är:

\"  citationstecken

\\  omvänt snedstreck

\a  varning (SIGNAL)

\b  backsteg

\c  producera ingen ytterligare utmatning

\e  escape-tecken

\f  sidmatning

\n  nyrad

\r  vagnretur

\t  horisontell tabulator

\v  vertikal tabulator

\NNN
    byte med oktalt värde NNN (1 till 3 siffror)

\xHH
    byte med hexadecimalt värde HH (1 till 2 siffror)

\uHHHH
    Unicodetecken (ISO/IEC 10646) med hexadecimalt värde HHHH (4 siffror)

\UHHHHHHHH
    Unicodetecken med hexadecimalt värde HHHHHHHH (8 siffror)

%%  ett enkelt %

%b  ARGUMENT som en sträng med ”\”-kontrollsekvenser tolkade, utom att oktala sekvenser är på formen \0 eller \0NNN

%q  ARGUMENT skrivs i ett format som kan återanvändas som skalindata, icke skrivbara tecken skyddas med den föreslagna POSIX-syntaxen $”

och alla specifikationer på C-format som slutar med en av diouxXfeEgGcs, med ARGUMENT konverterade till en passande typ först. Klarar av varierande storlek.

Ditt skal kan ha sin egen version av printf, som vanligen ersätter versionen som beskrivs här. Se dokumentationen för ditt skal för detaljer om valen det stödjer.

UPPHOVSMAN
Skrivet av David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
printf(3)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/printf>
eller tillgängligt lokalt via: info '(coreutils) printf invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.